<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SemanticSearchImplementation: SemanticSearchImplementation.ElasticsearchIndexMapper Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SemanticSearchImplementation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespace_semantic_search_implementation.html">SemanticSearchImplementation</a></li><li class="navelem"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html">ElasticsearchIndexMapper</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-attribs">Static Public Attributes</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">SemanticSearchImplementation.ElasticsearchIndexMapper Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Contains methods to create, change and handle the current Elasticsearch index.  
 <a href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a0cb17b07dc5a845e908f535511d9c873"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#a0cb17b07dc5a845e908f535511d9c873">ElasticsearchIndexMapper</a> (<a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html">RdfClient</a> RDFClient, IDictionary&lt; string, string &gt; mapping=null)</td></tr>
<tr class="separator:a0cb17b07dc5a845e908f535511d9c873"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abec997d6b8e4caa78a5089676e8e0ffa"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#abec997d6b8e4caa78a5089676e8e0ffa">ReplaceMapping</a> (IDictionary&lt; string, string &gt; mapping)</td></tr>
<tr class="memdesc:abec997d6b8e4caa78a5089676e8e0ffa"><td class="mdescLeft">&#160;</td><td class="mdescRight">Replaces the current mapping.  <a href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#abec997d6b8e4caa78a5089676e8e0ffa">More...</a><br /></td></tr>
<tr class="separator:abec997d6b8e4caa78a5089676e8e0ffa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad42b90ee9fc249fc5ca0f0485e60c903"><td class="memItemLeft" align="right" valign="top">JObject&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#ad42b90ee9fc249fc5ca0f0485e60c903">CreateIndex</a> (string alias=null)</td></tr>
<tr class="memdesc:ad42b90ee9fc249fc5ca0f0485e60c903"><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates the JSON object which contains all information (settings, mappings and aliases) for a new index.  <a href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#ad42b90ee9fc249fc5ca0f0485e60c903">More...</a><br /></td></tr>
<tr class="separator:ad42b90ee9fc249fc5ca0f0485e60c903"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae1e7d8d6f5b4c6e28306796ecf04b1db"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#ae1e7d8d6f5b4c6e28306796ecf04b1db">GetLabelOfProperty</a> (string property)</td></tr>
<tr class="separator:ae1e7d8d6f5b4c6e28306796ecf04b1db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a97f1d23bbea4c1e2466c1c1cc409a853"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#a97f1d23bbea4c1e2466c1c1cc409a853">GetTypeOfProperty</a> (string property)</td></tr>
<tr class="separator:a97f1d23bbea4c1e2466c1c1cc409a853"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2739439e0b1a22f1c0e738605b696cf6"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#a2739439e0b1a22f1c0e738605b696cf6">GetSearchType</a> (ApplicationProfileType type)</td></tr>
<tr class="memdesc:a2739439e0b1a22f1c0e738605b696cf6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Maps application profile type to corresponding Elasticsearch type.  <a href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#a2739439e0b1a22f1c0e738605b696cf6">More...</a><br /></td></tr>
<tr class="separator:a2739439e0b1a22f1c0e738605b696cf6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr class="memitem:a6834dddae753d19ea3461833bb7dd1ff"><td class="memItemLeft" align="right" valign="top">const string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#a6834dddae753d19ea3461833bb7dd1ff">TEXT</a> = &quot;text&quot;</td></tr>
<tr class="separator:a6834dddae753d19ea3461833bb7dd1ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a75ecfd5cc7c2de691ebd67e7fe851cdf"><td class="memItemLeft" align="right" valign="top">const string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#a75ecfd5cc7c2de691ebd67e7fe851cdf">KEYWORD</a> = &quot;keyword&quot;</td></tr>
<tr class="separator:a75ecfd5cc7c2de691ebd67e7fe851cdf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab1d08a64df9f8c24635ccf2dc741337f"><td class="memItemLeft" align="right" valign="top">const string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#ab1d08a64df9f8c24635ccf2dc741337f">BOOLEAN</a> = &quot;boolean&quot;</td></tr>
<tr class="separator:ab1d08a64df9f8c24635ccf2dc741337f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac017954c851f30c5d0080e036ee8264f"><td class="memItemLeft" align="right" valign="top">const string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#ac017954c851f30c5d0080e036ee8264f">INTEGER</a> = &quot;integer&quot;</td></tr>
<tr class="separator:ac017954c851f30c5d0080e036ee8264f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acee03a2eaf7383d3ed647a32528b1efb"><td class="memItemLeft" align="right" valign="top">const string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#acee03a2eaf7383d3ed647a32528b1efb">DATE</a> = &quot;date&quot;</td></tr>
<tr class="separator:acee03a2eaf7383d3ed647a32528b1efb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a871b9a929aa5960e5524a78ffa510c0d"><td class="memItemLeft" align="right" valign="top">const string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#a871b9a929aa5960e5524a78ffa510c0d">YEAR_EXTENSION</a> = &quot;_year&quot;</td></tr>
<tr class="separator:a871b9a929aa5960e5524a78ffa510c0d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8871af831c7adbfd96b5cac4b0244685"><td class="memItemLeft" align="right" valign="top">const string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#a8871af831c7adbfd96b5cac4b0244685">MONTH_EXTENSION</a> = &quot;_month&quot;</td></tr>
<tr class="separator:a8871af831c7adbfd96b5cac4b0244685"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aac29a44605e7cbbcac90a9feaa67b7e3"><td class="memItemLeft" align="right" valign="top">const string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#aac29a44605e7cbbcac90a9feaa67b7e3">DAY_EXTENSION</a> = &quot;_day&quot;</td></tr>
<tr class="separator:aac29a44605e7cbbcac90a9feaa67b7e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a257388a58c2b85c865f9c608d114d5e0"><td class="memItemLeft" align="right" valign="top">const string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#a257388a58c2b85c865f9c608d114d5e0">BOOLEAN_EXTENSION</a> = &quot;_written&quot;</td></tr>
<tr class="separator:a257388a58c2b85c865f9c608d114d5e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2bec21188efd95d97ade20e88346f432"><td class="memItemLeft" align="right" valign="top">const string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#a2bec21188efd95d97ade20e88346f432">LABEL_APPLICATION_PROFILE</a> = &quot;applicationProfile&quot;</td></tr>
<tr class="separator:a2bec21188efd95d97ade20e88346f432"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6d3137c0e50547eea468bad2701180f2"><td class="memItemLeft" align="right" valign="top">const string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#a6d3137c0e50547eea468bad2701180f2">LABEL_BELONGS_TO_PROJECT</a> = &quot;belongsToProject&quot;</td></tr>
<tr class="separator:a6d3137c0e50547eea468bad2701180f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a72df5633bf624fdadb09792353ecce3f"><td class="memItemLeft" align="right" valign="top">const string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#a72df5633bf624fdadb09792353ecce3f">LABEL_GRAPHNAME</a> = &quot;graphName&quot;</td></tr>
<tr class="separator:a72df5633bf624fdadb09792353ecce3f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adffd25d8c28b128ba57ca4c56edf0826"><td class="memItemLeft" align="right" valign="top">const string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#adffd25d8c28b128ba57ca4c56edf0826">LABEL_IS_PUBLIC</a> = &quot;isPublic&quot;</td></tr>
<tr class="separator:adffd25d8c28b128ba57ca4c56edf0826"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c08b4b0626287c0bda2b3ded467568c"><td class="memItemLeft" align="right" valign="top">const string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#a7c08b4b0626287c0bda2b3ded467568c">DEFAULT_ALIAS_NAME</a> = &quot;final_index&quot;</td></tr>
<tr class="separator:a7c08b4b0626287c0bda2b3ded467568c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a08c46df0f78abc3b46f6193e4e344985"><td class="memItemLeft" align="right" valign="top">IDictionary&lt; string, string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#a08c46df0f78abc3b46f6193e4e344985">CreateLabelOfProps</a> (IEnumerable&lt; string &gt; properties)</td></tr>
<tr class="memdesc:a08c46df0f78abc3b46f6193e4e344985"><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates the labels (field names) for all properties.  <a href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#a08c46df0f78abc3b46f6193e4e344985">More...</a><br /></td></tr>
<tr class="separator:a08c46df0f78abc3b46f6193e4e344985"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0706801ca2aa20f1c77715204dc8247a"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#a0706801ca2aa20f1c77715204dc8247a">CreateLabelOfProperty</a> (string property)</td></tr>
<tr class="memdesc:a0706801ca2aa20f1c77715204dc8247a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates the label of a property.  <a href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#a0706801ca2aa20f1c77715204dc8247a">More...</a><br /></td></tr>
<tr class="separator:a0706801ca2aa20f1c77715204dc8247a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4c0e79b4e855c7e9ba062531d0fdaf94"><td class="memItemLeft" align="right" valign="top">IDictionary&lt; string, string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#a4c0e79b4e855c7e9ba062531d0fdaf94">CreateTypeOfProps</a> (IEnumerable&lt; string &gt; properties)</td></tr>
<tr class="memdesc:a4c0e79b4e855c7e9ba062531d0fdaf94"><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates the type for all properties.  <a href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#a4c0e79b4e855c7e9ba062531d0fdaf94">More...</a><br /></td></tr>
<tr class="separator:a4c0e79b4e855c7e9ba062531d0fdaf94"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a81af69e8106dea8935b83fdb8047a624"><td class="memItemLeft" align="right" valign="top">readonly <a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html">RdfClient</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#a81af69e8106dea8935b83fdb8047a624">_RDFClient</a></td></tr>
<tr class="separator:a81af69e8106dea8935b83fdb8047a624"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae387ca90d1692c047ab4daf85fdbd22b"><td class="memItemLeft" align="right" valign="top">readonly IEnumerable&lt; string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#ae387ca90d1692c047ab4daf85fdbd22b">_properties</a></td></tr>
<tr class="separator:ae387ca90d1692c047ab4daf85fdbd22b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac5b8eb54d40660e41e7fb4057babb715"><td class="memItemLeft" align="right" valign="top">readonly IDictionary&lt; string, string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#ac5b8eb54d40660e41e7fb4057babb715">_labelOfProperties</a></td></tr>
<tr class="separator:ac5b8eb54d40660e41e7fb4057babb715"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef7fecc6448a349c10c379b3ed52f55f"><td class="memItemLeft" align="right" valign="top">readonly IDictionary&lt; string, string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#aef7fecc6448a349c10c379b3ed52f55f">_generalAdditionalTripleLabels</a></td></tr>
<tr class="separator:aef7fecc6448a349c10c379b3ed52f55f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9858ada0e33475c3911136f6f4d95606"><td class="memItemLeft" align="right" valign="top">IDictionary&lt; string, string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#a9858ada0e33475c3911136f6f4d95606">_typeOfProperties</a></td></tr>
<tr class="separator:a9858ada0e33475c3911136f6f4d95606"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Contains methods to create, change and handle the current Elasticsearch index. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a0cb17b07dc5a845e908f535511d9c873"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0cb17b07dc5a845e908f535511d9c873">&#9670;&nbsp;</a></span>ElasticsearchIndexMapper()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">SemanticSearchImplementation.ElasticsearchIndexMapper.ElasticsearchIndexMapper </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html">RdfClient</a>&#160;</td>
          <td class="paramname"><em>RDFClient</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">IDictionary&lt; string, string &gt;&#160;</td>
          <td class="paramname"><em>mapping</em> = <code>null</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ad42b90ee9fc249fc5ca0f0485e60c903"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad42b90ee9fc249fc5ca0f0485e60c903">&#9670;&nbsp;</a></span>CreateIndex()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">JObject SemanticSearchImplementation.ElasticsearchIndexMapper.CreateIndex </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>alias</em> = <code>null</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Creates the JSON object which contains all information (settings, mappings and aliases) for a new index. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">alias</td><td>The name of the alias if it should be set directly at the beginning (only in case of initial indexing).</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A JSON object for the request to create a new index.</dd></dl>

</div>
</div>
<a id="a0706801ca2aa20f1c77715204dc8247a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0706801ca2aa20f1c77715204dc8247a">&#9670;&nbsp;</a></span>CreateLabelOfProperty()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string SemanticSearchImplementation.ElasticsearchIndexMapper.CreateLabelOfProperty </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>property</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Creates the label of a property. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">property</td><td>The property as URI.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The created label.</dd></dl>

</div>
</div>
<a id="a08c46df0f78abc3b46f6193e4e344985"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a08c46df0f78abc3b46f6193e4e344985">&#9670;&nbsp;</a></span>CreateLabelOfProps()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">IDictionary&lt;string, string&gt; SemanticSearchImplementation.ElasticsearchIndexMapper.CreateLabelOfProps </td>
          <td>(</td>
          <td class="paramtype">IEnumerable&lt; string &gt;&#160;</td>
          <td class="paramname"><em>properties</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Creates the labels (field names) for all properties. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">properties</td><td>An enumerator containing all properties (metadata fields) as URIs.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A dictionary containing properties (key) and corresponding labels (value).</dd></dl>

</div>
</div>
<a id="a4c0e79b4e855c7e9ba062531d0fdaf94"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4c0e79b4e855c7e9ba062531d0fdaf94">&#9670;&nbsp;</a></span>CreateTypeOfProps()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">IDictionary&lt;string, string&gt; SemanticSearchImplementation.ElasticsearchIndexMapper.CreateTypeOfProps </td>
          <td>(</td>
          <td class="paramtype">IEnumerable&lt; string &gt;&#160;</td>
          <td class="paramname"><em>properties</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Creates the type for all properties. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">properties</td><td>An enumerator containing all properties (metadata fields) as URIs.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A dictionary containing properties (key) and corresponding type (value).</dd></dl>

</div>
</div>
<a id="ae1e7d8d6f5b4c6e28306796ecf04b1db"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae1e7d8d6f5b4c6e28306796ecf04b1db">&#9670;&nbsp;</a></span>GetLabelOfProperty()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string SemanticSearchImplementation.ElasticsearchIndexMapper.GetLabelOfProperty </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>property</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a2739439e0b1a22f1c0e738605b696cf6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2739439e0b1a22f1c0e738605b696cf6">&#9670;&nbsp;</a></span>GetSearchType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string SemanticSearchImplementation.ElasticsearchIndexMapper.GetSearchType </td>
          <td>(</td>
          <td class="paramtype">ApplicationProfileType&#160;</td>
          <td class="paramname"><em>type</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Maps application profile type to corresponding Elasticsearch type. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">type</td><td>The application profile type.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>An Elasticsearch type.</dd></dl>

</div>
</div>
<a id="a97f1d23bbea4c1e2466c1c1cc409a853"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a97f1d23bbea4c1e2466c1c1cc409a853">&#9670;&nbsp;</a></span>GetTypeOfProperty()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string SemanticSearchImplementation.ElasticsearchIndexMapper.GetTypeOfProperty </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>property</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="abec997d6b8e4caa78a5089676e8e0ffa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abec997d6b8e4caa78a5089676e8e0ffa">&#9670;&nbsp;</a></span>ReplaceMapping()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void SemanticSearchImplementation.ElasticsearchIndexMapper.ReplaceMapping </td>
          <td>(</td>
          <td class="paramtype">IDictionary&lt; string, string &gt;&#160;</td>
          <td class="paramname"><em>mapping</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Replaces the current mapping. </p>
<p>At first the mappig contains the uniformly generated data types based on the application profiles, later the types of Elasticsearch.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">mapping</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="aef7fecc6448a349c10c379b3ed52f55f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aef7fecc6448a349c10c379b3ed52f55f">&#9670;&nbsp;</a></span>_generalAdditionalTripleLabels</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">readonly IDictionary&lt;string, string&gt; SemanticSearchImplementation.ElasticsearchIndexMapper._generalAdditionalTripleLabels</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">= <span class="keyword">new</span> Dictionary&lt;string, string&gt;()</div>
<div class="line">        {</div>
<div class="line">            { Uris.COSCINE_SEARCH_APPLICATION_PROFILE, <a class="code" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#a2bec21188efd95d97ade20e88346f432">LABEL_APPLICATION_PROFILE</a> },</div>
<div class="line">            { Uris.COSCINE_SEARCH_BELONGS_TO_PROJECT, <a class="code" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#a6d3137c0e50547eea468bad2701180f2">LABEL_BELONGS_TO_PROJECT</a> },</div>
<div class="line">            { Uris.COSCINE_SEARCH_GRAPHNAME, <a class="code" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#a72df5633bf624fdadb09792353ecce3f">LABEL_GRAPHNAME</a> },</div>
<div class="line">            { Uris.COSCINE_PROJECTSTRUCTURE_IS_PUBLIC_LONG, <a class="code" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#adffd25d8c28b128ba57ca4c56edf0826">LABEL_IS_PUBLIC</a> }</div>
<div class="line">        }</div>
</div><!-- fragment -->
</div>
</div>
<a id="ac5b8eb54d40660e41e7fb4057babb715"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac5b8eb54d40660e41e7fb4057babb715">&#9670;&nbsp;</a></span>_labelOfProperties</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">readonly IDictionary&lt;string, string&gt; SemanticSearchImplementation.ElasticsearchIndexMapper._labelOfProperties</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ae387ca90d1692c047ab4daf85fdbd22b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae387ca90d1692c047ab4daf85fdbd22b">&#9670;&nbsp;</a></span>_properties</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">readonly IEnumerable&lt;string&gt; SemanticSearchImplementation.ElasticsearchIndexMapper._properties</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a81af69e8106dea8935b83fdb8047a624"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a81af69e8106dea8935b83fdb8047a624">&#9670;&nbsp;</a></span>_RDFClient</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">readonly <a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html">RdfClient</a> SemanticSearchImplementation.ElasticsearchIndexMapper._RDFClient</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a9858ada0e33475c3911136f6f4d95606"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9858ada0e33475c3911136f6f4d95606">&#9670;&nbsp;</a></span>_typeOfProperties</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">IDictionary&lt;string, string&gt; SemanticSearchImplementation.ElasticsearchIndexMapper._typeOfProperties</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ab1d08a64df9f8c24635ccf2dc741337f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab1d08a64df9f8c24635ccf2dc741337f">&#9670;&nbsp;</a></span>BOOLEAN</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const string SemanticSearchImplementation.ElasticsearchIndexMapper.BOOLEAN = &quot;boolean&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a257388a58c2b85c865f9c608d114d5e0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a257388a58c2b85c865f9c608d114d5e0">&#9670;&nbsp;</a></span>BOOLEAN_EXTENSION</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const string SemanticSearchImplementation.ElasticsearchIndexMapper.BOOLEAN_EXTENSION = &quot;_written&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="acee03a2eaf7383d3ed647a32528b1efb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acee03a2eaf7383d3ed647a32528b1efb">&#9670;&nbsp;</a></span>DATE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const string SemanticSearchImplementation.ElasticsearchIndexMapper.DATE = &quot;date&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aac29a44605e7cbbcac90a9feaa67b7e3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aac29a44605e7cbbcac90a9feaa67b7e3">&#9670;&nbsp;</a></span>DAY_EXTENSION</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const string SemanticSearchImplementation.ElasticsearchIndexMapper.DAY_EXTENSION = &quot;_day&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a7c08b4b0626287c0bda2b3ded467568c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7c08b4b0626287c0bda2b3ded467568c">&#9670;&nbsp;</a></span>DEFAULT_ALIAS_NAME</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const string SemanticSearchImplementation.ElasticsearchIndexMapper.DEFAULT_ALIAS_NAME = &quot;final_index&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ac017954c851f30c5d0080e036ee8264f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac017954c851f30c5d0080e036ee8264f">&#9670;&nbsp;</a></span>INTEGER</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const string SemanticSearchImplementation.ElasticsearchIndexMapper.INTEGER = &quot;integer&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a75ecfd5cc7c2de691ebd67e7fe851cdf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a75ecfd5cc7c2de691ebd67e7fe851cdf">&#9670;&nbsp;</a></span>KEYWORD</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const string SemanticSearchImplementation.ElasticsearchIndexMapper.KEYWORD = &quot;keyword&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a2bec21188efd95d97ade20e88346f432"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2bec21188efd95d97ade20e88346f432">&#9670;&nbsp;</a></span>LABEL_APPLICATION_PROFILE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const string SemanticSearchImplementation.ElasticsearchIndexMapper.LABEL_APPLICATION_PROFILE = &quot;applicationProfile&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a6d3137c0e50547eea468bad2701180f2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6d3137c0e50547eea468bad2701180f2">&#9670;&nbsp;</a></span>LABEL_BELONGS_TO_PROJECT</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const string SemanticSearchImplementation.ElasticsearchIndexMapper.LABEL_BELONGS_TO_PROJECT = &quot;belongsToProject&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a72df5633bf624fdadb09792353ecce3f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a72df5633bf624fdadb09792353ecce3f">&#9670;&nbsp;</a></span>LABEL_GRAPHNAME</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const string SemanticSearchImplementation.ElasticsearchIndexMapper.LABEL_GRAPHNAME = &quot;graphName&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="adffd25d8c28b128ba57ca4c56edf0826"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adffd25d8c28b128ba57ca4c56edf0826">&#9670;&nbsp;</a></span>LABEL_IS_PUBLIC</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const string SemanticSearchImplementation.ElasticsearchIndexMapper.LABEL_IS_PUBLIC = &quot;isPublic&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a8871af831c7adbfd96b5cac4b0244685"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8871af831c7adbfd96b5cac4b0244685">&#9670;&nbsp;</a></span>MONTH_EXTENSION</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const string SemanticSearchImplementation.ElasticsearchIndexMapper.MONTH_EXTENSION = &quot;_month&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a6834dddae753d19ea3461833bb7dd1ff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6834dddae753d19ea3461833bb7dd1ff">&#9670;&nbsp;</a></span>TEXT</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const string SemanticSearchImplementation.ElasticsearchIndexMapper.TEXT = &quot;text&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a871b9a929aa5960e5524a78ffa510c0d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a871b9a929aa5960e5524a78ffa510c0d">&#9670;&nbsp;</a></span>YEAR_EXTENSION</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const string SemanticSearchImplementation.ElasticsearchIndexMapper.YEAR_EXTENSION = &quot;_year&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="_elasticsearch_index_mapper_8cs.html">ElasticsearchIndexMapper.cs</a></li>
</ul>
</div><!-- contents -->
<div class="ttc" id="aclass_semantic_search_implementation_1_1_elasticsearch_index_mapper_html_a2bec21188efd95d97ade20e88346f432"><div class="ttname"><a href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#a2bec21188efd95d97ade20e88346f432">SemanticSearchImplementation.ElasticsearchIndexMapper.LABEL_APPLICATION_PROFILE</a></div><div class="ttdeci">const string LABEL_APPLICATION_PROFILE</div><div class="ttdef"><b>Definition:</b> ElasticsearchIndexMapper.cs:28</div></div>
<div class="ttc" id="aclass_semantic_search_implementation_1_1_elasticsearch_index_mapper_html_adffd25d8c28b128ba57ca4c56edf0826"><div class="ttname"><a href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#adffd25d8c28b128ba57ca4c56edf0826">SemanticSearchImplementation.ElasticsearchIndexMapper.LABEL_IS_PUBLIC</a></div><div class="ttdeci">const string LABEL_IS_PUBLIC</div><div class="ttdef"><b>Definition:</b> ElasticsearchIndexMapper.cs:31</div></div>
<div class="ttc" id="aclass_semantic_search_implementation_1_1_elasticsearch_index_mapper_html_a6d3137c0e50547eea468bad2701180f2"><div class="ttname"><a href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#a6d3137c0e50547eea468bad2701180f2">SemanticSearchImplementation.ElasticsearchIndexMapper.LABEL_BELONGS_TO_PROJECT</a></div><div class="ttdeci">const string LABEL_BELONGS_TO_PROJECT</div><div class="ttdef"><b>Definition:</b> ElasticsearchIndexMapper.cs:29</div></div>
<div class="ttc" id="aclass_semantic_search_implementation_1_1_elasticsearch_index_mapper_html_a72df5633bf624fdadb09792353ecce3f"><div class="ttname"><a href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#a72df5633bf624fdadb09792353ecce3f">SemanticSearchImplementation.ElasticsearchIndexMapper.LABEL_GRAPHNAME</a></div><div class="ttdeci">const string LABEL_GRAPHNAME</div><div class="ttdef"><b>Definition:</b> ElasticsearchIndexMapper.cs:30</div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
